<!--
/********************************************************************************
 * Copyright © 2018 Mettenmeier GmbH.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/
-->

<div class="container-fluid">
  <form class="mt-3" [formGroup]="form" novalidate>
    <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom stick-headlines">
      <h1 class="h2">Organisation verwalten</h1>
      <div class="btn-toolbar mb-2 mb-md-0">
        <button *ngIf="authService.userHasRoles(['BP_Sachbearbeiter','BP_Admin'])" class="btn btn-success mr-1" (click)="saveOrganisation()"
          id="oragnisationSave">Speichern</button>
        <button class="btn btn-danger" routerLink="/stammdatenverwaltung/organisation" id="oragnisationCancel">Abbrechen</button>
      </div>
    </div>
    <ngb-accordion #acc="ngbAccordion" activeIds="responsibility,organisationData,privateData">
      <!-- Organisationsdaten -->
      <ngb-panel title="Organisationsdaten" id="organisationData">
        <ng-template ngbPanelContent>
          <div class="row">
            <div class="col-md-6">
              <div class="form-group row">
                <label for="orgaName" class="col-sm-3 col-form-label">Organisation</label>
                <div class="col-sm-9">
                  <input type="text" class="form-control" id="orgaName" placeholder="orgaName" formControlName="orgaName"
                    required>
                  <ok-error [control]="form.controls['orgaName']"></ok-error>
                </div>
              </div>
            </div>
          </div>
          <div formGroupName="address">
            <div class="row">
              <div class="col-md-6">
                <div class="form-group row">
                  <label for="postcode" class="col-sm-3 col-form-label">PLZ dienstl.</label>
                  <div class="col-sm-9">
                    <input type="text" class="form-control" id="postcode" placeholder="postcode" formControlName="postcode"
                      required>
                    <ok-error [control]="form.controls.address.controls['postcode']"></ok-error>
                  </div>
                </div>
              </div>
              <div class="col-md-6">
                <div class="form-group row">
                  <label for="community" class="col-sm-3 col-form-label">Ort dienstl.</label>
                  <div class="col-sm-9">
                    <input type="text" class="form-control" id="community" placeholder="community" formControlName="community"
                      required>
                    <ok-error [control]="form.controls.address.controls['community']"></ok-error>
                  </div>
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-6">
                <div class="form-group row">
                  <label for="communitySuffix" class="col-sm-3 col-form-label">Adresszusatz dienstl.</label>
                  <div class="col-sm-9">
                    <input type="text" class="form-control" id="communitySuffix" placeholder="communitySuffix"
                      formControlName="communitySuffix">
                  </div>
                </div>
              </div>
              <div class="col-md-6">
                <div class="form-group row">
                  <label for="street" class="col-sm-3 col-form-label">Straße dienstl.</label>
                  <div class="col-sm-9">
                    <input type="text" class="form-control" id="street" placeholder="street" formControlName="street"
                      required>
                    <ok-error [control]="form.controls.address.controls['street']"></ok-error>
                  </div>
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-6">
                <div class="form-group row">
                  <label for="housenumber" class="col-sm-3 col-form-label">Hausnummer</label>
                  <div class="col-sm-9">
                    <input type="text" class="form-control" id="housenumber" placeholder="housenumber" formControlName="housenumber"
                      required>
                    <ok-error [control]="form.controls.address.controls['housenumber']"></ok-error>
                  </div>
                </div>
              </div>
            </div>
            <hr>
            <div class="row">
              <div class="col-md-6">
                <div class="form-group row">
                  <label for="wgs84zone" class="col-sm-3 col-form-label">WGS84 Zone dienstl.</label>
                  <div class="col-sm-9">
                    <input type="text" class="form-control" id="wgs84zone" placeholder="wgs84zone" formControlName="wgs84zone">
                    <ok-error [control]="form.controls.address.controls['wgs84zone']"></ok-error>
                  </div>
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-6">
                <div class="form-group row">
                  <label for="longitude" class="col-sm-3 col-form-label">WGS84 Koordinate 1 dienstl. (geolänge)</label>
                  <div class="col-sm-9">
                    <input type="text" class="form-control" id="longitude" placeholder="longitude" formControlName="longitude">
                    <ok-error [control]="form.controls.address.controls['longitude']"></ok-error>
                  </div>
                </div>
              </div>
              <div class="col-md-6">
                <div class="form-group row">
                  <label for="latitude" class="col-sm-3 col-form-label">WGS84 Koordinate 2 dienstl. (geobreite)</label>
                  <div class="col-sm-9">
                    <input type="text" class="form-control" id="latitude" placeholder="latitude" formControlName="latitude">
                    <ok-error [control]="form.controls.address.controls['latitude']"></ok-error>
                  </div>
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-6">
                <a href="https://maps.google.de" target="_blank" id="orgaMap">Weblink zur Landkarte dienstl.</a>
              </div>
            </div>
          </div>
        </ng-template>
      </ngb-panel>
    </ngb-accordion>
  </form>
</div>